FreeBSD : gaim -- remote DoS on receiving certain messages over IRC (ec09baa3-a9f5-11d9-a788-0001020eed82)

Medium Nessus Plugin ID 19153


The remote FreeBSD host is missing one or more security-related updates.


The GAIM team reports :

The IRC protocol plugin in Gaim 1.2.0, and possibly earlier versions, allows (1) remote attackers to inject arbitrary Gaim markup via irc_msg_kick, irc_msg_mode, irc_msg_part, irc_msg_quit, (2) remote attackers to inject arbitrary Pango markup and pop up empty dialog boxes via irc_msg_invite, or (3) malicious IRC servers to cause a denial of service (application crash) by injecting certain Pango markup into irc_msg_badmode, irc_msg_banned, irc_msg_unknown, irc_msg_nochan functions.


Update the affected packages.

See Also

Plugin Details

Severity: Medium

ID: 19153

File Name: freebsd_pkg_ec09baa3a9f511d9a7880001020eed82.nasl

Version: $Revision: 1.13 $

Type: local

Published: 2005/07/13

Modified: 2013/06/22

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.4

Temporal Score: 4.7

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:gaim, p-cpe:/a:freebsd:freebsd:ja-gaim, p-cpe:/a:freebsd:freebsd:ko-gaim, p-cpe:/a:freebsd:freebsd:ru-gaim, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2005/04/10

Vulnerability Publication Date: 2005/04/02

Reference Information

CVE: CVE-2005-0966

BID: 13003